---
title: Time saved
url: https://www.tines.com/docs/api/reporting/time_saved/
updated: 2026-03-13T18:44:52+00:00
description: "Returns timed and dated records of time saved by using Tines. See [Reporting](https://www.tines.com/docs/actions/reporting/) for more information."
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Reporting](https://www.tines.com/llm/docs/api/reporting.md)*

# Time saved

*[View on tines.com](https://www.tines.com/docs/api/reporting/time_saved/)*

## Description

Returns timed and dated records of time saved by using Tines. See [Reporting](https://www.tines.com/docs/actions/reporting/) for more information.

## Request

HTTP Method: **GET**

| Query Parameter | Description                                                                               |
| --------------- | ----------------------------------------------------------------------------------------- |
| start_date      | **Optional** ISO 8601 timestamp to only include records from after this datetime.         |
| end_date        | **Optional** ISO 8601 timestamp to only include records from before this datetime.        |
| date_unit       | **Optional** Arrange the data by hour, day, week, or month. Default: day                  |
| fill_gaps       | **Optional** If true, fill any empty rows with explicit 0 time saved. Default: true       |
| team_id         | **Optional** Only show time saved data for the selected team                              |
| story_id        | **Optional** Only show time saved data for the selected story                             |
| action_id       | **Optional** Only show time saved data for the selected action                            |
| per_page        | **Optional** Set the number of records returned per page. Defaults to 20, maximum is 500. |
| page            | **Optional** The page number of results to fetch.                                         |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/reporting/time_saved \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful response will return a list of time saved data according to the query parameters.

### Field description

| Parameter | Description                                                                                                                                                        |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| date      | ISO8601-compliant UTC timestamp of the date/time that time was saved in (rounded down to the nearest hour, day, week, month depending on the setting of date_unit) |
| value     | Time saved in seconds                                                                                                                                              |

### Sample response

```json
{
  "time_saved": [
    {
      "date": "2022-08-11T00:00:00Z",
      "value": 1980
    },
    {
      "date": "2022-08-12T00:00:00Z",
      "value": 0
    },
    {
      "date": "2022-08-13T00:00:00Z",
      "value": 0
    },
    {
      "date": "2022-08-14T00:00:00Z",
      "value": 0
    },
    {
      "date": "2022-08-15T00:00:00Z",
      "value": 4500
    },
    {
      "date": "2022-08-16T00:00:00Z",
      "value": 0
    },
    {
      "date": "2022-08-17T00:00:00Z",
      "value": 900
    },
    {
      "date": "2022-08-18T00:00:00Z",
      "value": 0
    },
    {
      "date": "2022-08-19T00:00:00Z",
      "value": 0
    },
    {
      "date": "2022-08-20T00:00:00Z",
      "value": 0
    },
    {
      "date": "2022-08-21T00:00:00Z",
      "value": 0
    },
    {
      "date": "2022-08-22T00:00:00Z",
      "value": 0
    },
    {
      "date": "2022-08-23T00:00:00Z",
      "value": 600
    },
    {
      "date": "2022-08-24T00:00:00Z",
      "value": 0
    }
  ],
  "meta": {
    "current_page": "http://<tenant-domain>/api/v1/reporting/time_saved?team_id=14&per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 14
  }
}
```
